<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Halberd.clues.Clue.Clue</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Halberd-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        Halberd ::
        clues ::
        Clue ::
        Clue ::
        Class&nbsp;Clue
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="Halberd.clues.Clue.Clue-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Clue</h1><p class="nomargin-top"><span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue">source&nbsp;code</a></span></p>
<p>A clue is what we use to tell real servers behind a virtual IP.</p>
  <p>Clues are gathered during several connections to a web server and they
  allow us to try to identify patterns in its responses. Those patterns 
  could allow us to find out which real servers are behind a VIP</p>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__init__"></a><span class="summary-sig-name">__init__</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Halberd.clues.Clue.Clue-class.html#parse" class="summary-sig-name">parse</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">headers</span>)</span><br />
      Extracts all relevant information from the MIME headers replied by 
      the target.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.parse">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_updateDigest"></a><span class="summary-sig-name">_updateDigest</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Updates header fingerprint.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._updateDigest">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code>int</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Halberd.clues.Clue.Clue-class.html#_calcDiff" class="summary-sig-name" onclick="show_private();">_calcDiff</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Compute the time difference between the remote and local clocks.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._calcDiff">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Halberd.clues.Clue.Clue-class.html#incCount" class="summary-sig-name">incCount</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">num</span>=<span class="summary-sig-default">1</span>)</span><br />
      Increase the times this clue has been found.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.incCount">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code>int</code>.</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Halberd.clues.Clue.Clue-class.html#getCount" class="summary-sig-name">getCount</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Retrieve the number of times the clue has been found</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.getCount">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Halberd.clues.Clue.Clue-class.html#setTimestamp" class="summary-sig-name">setTimestamp</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">timestamp</span>)</span><br />
      Sets the local clock attribute.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.setTimestamp">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__eq__"></a><span class="summary-sig-name">__eq__</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">other</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.__eq__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__ne__"></a><span class="summary-sig-name">__ne__</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">other</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.__ne__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__repr__"></a><span class="summary-sig-name">__repr__</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.__repr__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_server"></a><span class="summary-sig-name">_get_server</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Server:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_server">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_date"></a><span class="summary-sig-name">_get_date</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Date:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_date">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_content_location"></a><span class="summary-sig-name">_get_content_location</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Content-location:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_content_location">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_set_cookie"></a><span class="summary-sig-name">_get_set_cookie</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Set-cookie:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_set_cookie">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_expires"></a><span class="summary-sig-name">_get_expires</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Expires:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_expires">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_age"></a><span class="summary-sig-name">_get_age</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Age:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_age">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_content_length"></a><span class="summary-sig-name">_get_content_length</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Content-length:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_content_length">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_last_modified"></a><span class="summary-sig-name">_get_last_modified</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Last-modified:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_last_modified">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_etag"></a><span class="summary-sig-name">_get_etag</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      ETag:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_etag">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_cache_expires"></a><span class="summary-sig-name">_get_cache_expires</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Cache-expires:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_cache_expires">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_get_content_type"></a><span class="summary-sig-name">_get_content_type</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">field</span>)</span><br />
      Content-type:</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._get_content_type">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== STATIC METHODS ==================== -->
<a name="section-StaticMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Static Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-StaticMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code>str</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Halberd.clues.Clue.Clue-class.html#normalize" class="summary-sig-name">normalize</a>(<span class="summary-sig-arg">name</span>)</span><br />
      Normalize string.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.normalize">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="parse"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">parse</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">headers</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.parse">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Extracts all relevant information from the MIME headers replied by the
  target.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>headers</code></strong> (<code>str</code>, <code>list</code> or <code>tuple</code>) - A set of MIME headers (a string as replied by the webserver or a 
          previously parsed sequence of name, value tuples).</li>
    </ul></dd>
    <dt>Raises:</dt>
    <dd><ul class="nomargin-top">
        <li><code><strong class='fraise'>TypeError</strong></code> - If headers is neither a string nor a sequence.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="normalize"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">normalize</span>(<span class="sig-arg">name</span>)</span>
    <br /><em class="fname">Static Method</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.normalize">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Normalize string.</p>
  <p>This method takes a string coming out of mime-fields and transforms it
  into a valid Python identifier. That's done by removing invalid 
  non-alphanumeric characters and also numeric ones placed at the beginning
  of the string.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>name</code></strong> (<code>str</code>) - String to be normalized.</li>
    </ul></dd>
    <dt>Returns: <code>str</code></dt>
        <dd>Normalized string.</dd>
  </dl>
</td></tr></table>
</div>
<a name="_calcDiff"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_calcDiff</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue._calcDiff">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Compute the time difference between the remote and local clocks.</p>
  <dl class="fields">
    <dt>Returns: <code>int</code></dt>
        <dd>Time difference.</dd>
  </dl>
</td></tr></table>
</div>
<a name="incCount"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">incCount</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">num</span>=<span class="sig-default">1</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.incCount">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Increase the times this clue has been found.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>num</code></strong> (<code>int</code>) - A positive non-zero number of hits to increase.</li>
    </ul></dd>
    <dt>Raises:</dt>
    <dd><ul class="nomargin-top">
        <li><code><strong class='fraise'>ValueError</strong></code> - in case <code class="link">num</code> is less than or equal to 
        zero.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="getCount"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">getCount</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.getCount">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Retrieve the number of times the clue has been found</p>
  <dl class="fields">
    <dt>Returns: <code>int</code>.</dt>
        <dd>Number of hits.</dd>
  </dl>
</td></tr></table>
</div>
<a name="setTimestamp"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">setTimestamp</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">timestamp</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Halberd.clues.Clue-pysrc.html#Clue.setTimestamp">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Sets the local clock attribute.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>timestamp</code></strong> (<code>int</code>) - The local time (expressed in seconds since the Epoch) when the 
          connection to the target was successfully completed.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Halberd-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sat Aug 14 15:09:27 2010
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
